This is the multi-page printable view of this section. Click here to print.
UpdateQuickQueryHostAlias
1 - 1.2
put /v1/quick-query/{quick_query_id}/host-alias
Description
update quick query host alias
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | quick_query_id required | quick_query_id Example : | string | None |
| body | body required | QuickQueryHostAliasRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/host-alias
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.2"
Request body
{
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
]
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
2 - 1.1
put /v1/quick-query/{quick_query_id}/host-alias
Description
update quick query host alias
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | quick_query_id required | quick_query_id Example : | string | None |
| body | body required | QuickQueryHostAliasRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/host-alias
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"
Request body
{
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
]
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
3 - 1.0
put /v1/quick-query/{quick_query_id}/host-alias
Description
update quick query host alias
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | quick_query_id required | quick_query_id Example : | string | None |
| body | body required | QuickQueryHostAliasRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quick-query/{quick_query_id}/host-alias
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"
Request body
{
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
]
}
Example HTTP response
Response 202
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}